package com.jkcredit.traffic.record.test;

import com.ciphergateway.ciphersuite.CipherSuiteException;
import com.ciphergateway.ciphersuite.CipherSuiteMacException;
import com.ciphergateway.ciphersuite.CipherSuiteUtils;

import javax.xml.bind.DatatypeConverter;
import java.io.UnsupportedEncodingException;

/**
 * @author xusonglin
 * @version V1.0
 **/
public class Test {
    public static void main(String[] args) {
        String keyId = "1349736097415958529";
        String algorithm = "SM3";
        String plainStr = "Hello World";
        int precision = 5;
        int scale = 2;
        String metadata = "ABCDBF";
        String ivStr = "123456789abcdefg";
        try {
            byte[] plainData = plainStr.getBytes("UTF-8");
            byte[] iv = ivStr.getBytes("UTF-8");
            byte[] digestData = CipherSuiteUtils.digest(plainData, algorithm, keyId, metadata);
//            byte[] cipherData = CipherSuiteUtils.encrypt(plainData, algorithm, keyId, metadata, iv);
//            System.out.println("encrypt result: " + DatatypeConverter.printHexBinary(cipherData));
        } catch (UnsupportedEncodingException ue) {
            ue.printStackTrace();
        } catch (CipherSuiteException cse) {
            cse.printStackTrace();
        } catch (CipherSuiteMacException csme) {
            csme.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }



    }
}
